
package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotEmpty;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单支付记录DTO
 *
 * @author tmerclub
 * @date 2020-12-25 09:50:59
 */
public class PayInfoDTO extends BasePayInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotEmpty(message = "订单号不能为空")
    @Schema(description = "订单号", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<Long> orderIds;


    public List<Long> getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(List<Long> orderIds) {
        this.orderIds = orderIds;
    }

    @Override
    public String toString() {
        return "PayInfoDTO{" +
                "orderIds=" + orderIds +
                "} " + super.toString();
    }
}
